#include <iostream>
#include <fstream>

using namespace std;

int main()
{
	ifstream in("fire.in");

	out.setf(ios_base::fixed);
	out.precision(2);

	int tc;
	in >>tc;
	while (tc--)
	{
		double R, X, Y, ans;
		in >>R >>X >>Y;
		ans = (R*X)/(2*R-Y);
		cout <<ans <<endl;
	}

	return 0;
}